from rest_framework import serializers

from netbox.api.serializers import NetBoxModelSerializer, WritableNestedSerializer
from ..models import dnacServer

class dnacServerSerializer(NetBoxModelSerializer):
    url = serializers.HyperlinkedIdentityField(
        view_name='plugins-api:dnac_integration-api:dnac_server-detail'
    )

    class Meta:
        model = dnacServer
        fields = ('id', 'display', 'hostname', 'username', 'password', 'version', 'verify', 'status', 'default_filter_action', 'created', 'last_updated', 'url')